Project

General

Profile

Evolution #179

Si on passe à Samba-3.4.6, on va perdre la compatibilité clients Windows et clients Linux !

Added by Joël Cuissinat over 12 years ago. Updated about 10 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Category:
-
Start date:
03/12/2010
Due date:
% Done:

100%

Estimated time:
4.00 h
Spent time:
Distribution:
EOLE 2.3

Description

Tout ça à cause de :
https://bugzilla.samba.org/show_bug.cgi?id=7104
(référencé dans http://samba.org/samba/history/samba-3.4.6.html)

QUE FAIRE ?

Nb : Samba-3.4.7 y ajoute un correctif CVE.


Related issues

Related to Distribution EOLE - Evolution #119: Samba-3.4.6 Fermé 03/08/2010
Related to Distribution EOLE - Evolution #959: Mise à jour de sécurité samba sur 2.2 ? Ne sera pas résolu 09/15/2010
Related to conf-scribe - Anomalie #3977: Disparition des imprimantes gérées par CUPS Fermé 08/31/2012

Associated revisions

Revision 7e96b5c2 (diff)
Added by Joël Cuissinat about 10 years ago

Désactivation forcée des extension Unix dans Samba

  • dicos/20_fichier.xml : "smb_unixextensions" en "hidden"
  • tmpl/global_smb.tmpl : "unix extensions" forcé à "no"

Fixes #179

Revision 574207fc (diff)
Added by christophe guerinot over 9 years ago

Mise à niveau du template 'global_smb.tmpl.ecdl'
  • Utilisation de vfs object full_audit pour logger dans syslog - ref #2504
  • 'unix extensions' forcé à 'no' - ref #179
  • Remplacement de la déclaration creole 'slurp' par 'custom_join' - ref #3023

Revision bc539a5d (diff)
Added by amma35 about 4 years ago

PHP Notice Undefined variable: id in SNMP fix #179

Revision 2da31283 (diff)
Added by Arnaud FORNEROT about 2 years ago

repondre pas mail à un message chat (ref #179)

History

#1 Updated by Emmanuel GARETTE almost 11 years ago

  • Distribution set to Toutes

Un patch est appliqué dans samba 3.6. A priori il fonctionne sur samba 3.5.7. Voir s'il est compatible avec la 3.5.6 (EOLE 2.3) ou 3.4 (EOLE 2.2) :

https://attachments.samba.org/attachment.cgi?id=6883

Ce patch ajoute l'option :

"allow insecure wide link"

qu'il faut passer à "yes".

Plus d'informations :

https://bugzilla.samba.org/show_bug.cgi?id=8229

#2 Updated by Joël Cuissinat almost 11 years ago

  • Assigned To set to Daniel Dehennin
  • Target version changed from 48 to Mises à jour 2.3.4 RC

#3 Updated by Daniel Dehennin over 10 years ago

Faudra que l’on m’explique en détail les tenants et aboutissants de cette histoire...

#4 Updated by Daniel Dehennin over 10 years ago

  • Target version changed from Mises à jour 2.3.4 RC to 76

À voir quand j’aurais compris ;-)

#5 Updated by Daniel Dehennin over 10 years ago

  • Status changed from Nouveau to En attente d'informations

#6 Updated by Emmanuel GARETTE over 10 years ago

Je me demande quelles genres d'informations est attendues. Le problème c'est qu'on ne peut plus utiliser en même temps "widelinks = yes" et "unix extensions = yes".

#7 Updated by Daniel Dehennin over 10 years ago

L’option « unix extensions » est-elle encore utile avec l’avènement de eole-nfs ?

#8 Updated by Emmanuel GARETTE over 10 years ago

Sauf erreur de ma part, ce bug est surtout gênant sur 2.2 aujourd'hui. Il y a un soucis avec le client-scribe et Eclair 2.2.

#9 Updated by Joël Cuissinat about 10 years ago

  • Target version changed from 76 to Mises à jour 2.3.5 Stable
  • Distribution changed from Toutes to EOLE 2.3

#10 Updated by Joël Cuissinat about 10 years ago

  • Project changed from Distribution EOLE to conf-scribe

#11 Updated by Joël Cuissinat about 10 years ago

  • Status changed from En attente d'informations to Résolu
  • % Done changed from 0 to 100

#12 Updated by Joël Cuissinat about 10 years ago

  • Status changed from Résolu to Fermé

Je considère cette modification comme temporaire... mais elle risque de durer :)

Also available in: Atom PDF